libnvme(2)

NAME
struct nvme_fw_commit_args - Arguments for the NVMe Firmware Commit command

SYNOPSIS
struct nvme_fw_commit_args {
__u32 *result;
int args_size;
int fd;
__u32 timeout;
enum nvme_fw_commit_ca action;
__u8 slot;
bool bpid;
};

Members

result
    The command completion result from CQE dword0

args_size
    Size of struct nvme_fw_commit_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

action
    Action to use for the firmware image, see enum nvme_fw_commit_ca

slot
    Firmware slot to commit the downloaded image

bpid
    Set to true to select the boot partition id